# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file './etmReport.ui'
#
# Created: Sun Dec  8 19:40:52 2013
#      by: PyQt4 UI code generator 4.10.3
#
# WARNING! All changes made in this file will be lost!

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)

class Ui_reportDialog(object):
    def setupUi(self, reportDialog):
        reportDialog.setObjectName(_fromUtf8("reportDialog"))
        reportDialog.resize(512, 264)
        reportDialog.setMinimumSize(QtCore.QSize(500, 0))
        reportDialog.setSizeIncrement(QtCore.QSize(21, 0))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(_fromUtf8(":/etm.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        reportDialog.setWindowIcon(icon)
        reportDialog.setStyleSheet(_fromUtf8("font-size: 10pt"))
        self.gridLayout = QtGui.QGridLayout(reportDialog)
        self.gridLayout.setContentsMargins(8, 6, 8, 6)
        self.gridLayout.setVerticalSpacing(5)
        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
        self.horizontalLayout_2 = QtGui.QHBoxLayout()
        self.horizontalLayout_2.setSizeConstraint(QtGui.QLayout.SetMaximumSize)
        self.horizontalLayout_2.setObjectName(_fromUtf8("horizontalLayout_2"))
        self.closeButton = QtGui.QToolButton(reportDialog)
        self.closeButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(_fromUtf8(":/exit.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.closeButton.setIcon(icon1)
        self.closeButton.setIconSize(QtCore.QSize(24, 24))
        self.closeButton.setObjectName(_fromUtf8("closeButton"))
        self.horizontalLayout_2.addWidget(self.closeButton)
        self.line = QtGui.QFrame(reportDialog)
        self.line.setFrameShape(QtGui.QFrame.VLine)
        self.line.setFrameShadow(QtGui.QFrame.Sunken)
        self.line.setObjectName(_fromUtf8("line"))
        self.horizontalLayout_2.addWidget(self.line)
        self.printButton = QtGui.QToolButton(reportDialog)
        self.printButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(_fromUtf8(":/print.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.printButton.setIcon(icon2)
        self.printButton.setIconSize(QtCore.QSize(24, 24))
        self.printButton.setObjectName(_fromUtf8("printButton"))
        self.horizontalLayout_2.addWidget(self.printButton)
        self.exportButton = QtGui.QToolButton(reportDialog)
        self.exportButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(_fromUtf8(":/export.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.exportButton.setIcon(icon3)
        self.exportButton.setIconSize(QtCore.QSize(22, 22))
        self.exportButton.setObjectName(_fromUtf8("exportButton"))
        self.horizontalLayout_2.addWidget(self.exportButton)
        self.mailButton = QtGui.QToolButton(reportDialog)
        self.mailButton.setStyleSheet(_fromUtf8("border: 0pt"))
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(_fromUtf8(":/send_email.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.mailButton.setIcon(icon4)
        self.mailButton.setIconSize(QtCore.QSize(26, 26))
        self.mailButton.setObjectName(_fromUtf8("mailButton"))
        self.horizontalLayout_2.addWidget(self.mailButton)
        self.previous = QtGui.QToolButton(reportDialog)
        self.previous.setStyleSheet(_fromUtf8("border: 0px"))
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(_fromUtf8(":/previous.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.previous.setIcon(icon5)
        self.previous.setIconSize(QtCore.QSize(18, 18))
        self.previous.setObjectName(_fromUtf8("previous"))
        self.horizontalLayout_2.addWidget(self.previous)
        self.search = QtGui.QLineEdit(reportDialog)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.search.sizePolicy().hasHeightForWidth())
        self.search.setSizePolicy(sizePolicy)
        self.search.setMinimumSize(QtCore.QSize(100, 24))
        font = QtGui.QFont()
        font.setPointSize(10)
        self.search.setFont(font)
        self.search.setObjectName(_fromUtf8("search"))
        self.horizontalLayout_2.addWidget(self.search)
        self.next = QtGui.QToolButton(reportDialog)
        self.next.setStyleSheet(_fromUtf8("border: 0px"))
        icon6 = QtGui.QIcon()
        icon6.addPixmap(QtGui.QPixmap(_fromUtf8(":/next.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.next.setIcon(icon6)
        self.next.setIconSize(QtCore.QSize(18, 18))
        self.next.setObjectName(_fromUtf8("next"))
        self.horizontalLayout_2.addWidget(self.next)
        self.status_message = QtGui.QLineEdit(reportDialog)
        self.status_message.setMinimumSize(QtCore.QSize(100, 0))
        self.status_message.setFocusPolicy(QtCore.Qt.NoFocus)
        self.status_message.setStyleSheet(_fromUtf8("background: transparent; border: 0pt"))
        self.status_message.setObjectName(_fromUtf8("status_message"))
        self.horizontalLayout_2.addWidget(self.status_message)
        self.helpButton = QtGui.QToolButton(reportDialog)
        self.helpButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon7 = QtGui.QIcon()
        icon7.addPixmap(QtGui.QPixmap(_fromUtf8(":/help.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.helpButton.setIcon(icon7)
        self.helpButton.setIconSize(QtCore.QSize(20, 20))
        self.helpButton.setObjectName(_fromUtf8("helpButton"))
        self.horizontalLayout_2.addWidget(self.helpButton)
        self.gridLayout.addLayout(self.horizontalLayout_2, 0, 0, 1, 1)
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.minusButton = QtGui.QToolButton(reportDialog)
        self.minusButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon8 = QtGui.QIcon()
        icon8.addPixmap(QtGui.QPixmap(_fromUtf8(":/remove_report.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.minusButton.setIcon(icon8)
        self.minusButton.setIconSize(QtCore.QSize(20, 20))
        self.minusButton.setObjectName(_fromUtf8("minusButton"))
        self.horizontalLayout.addWidget(self.minusButton)
        self.saveButton = QtGui.QToolButton(reportDialog)
        self.saveButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon9 = QtGui.QIcon()
        icon9.addPixmap(QtGui.QPixmap(_fromUtf8(":/save.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.saveButton.setIcon(icon9)
        self.saveButton.setIconSize(QtCore.QSize(20, 20))
        self.saveButton.setObjectName(_fromUtf8("saveButton"))
        self.horizontalLayout.addWidget(self.saveButton)
        self.reportBox = QtGui.QComboBox(reportDialog)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.reportBox.sizePolicy().hasHeightForWidth())
        self.reportBox.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Courier New"))
        font.setPointSize(14)
        self.reportBox.setFont(font)
        self.reportBox.setStyleSheet(_fromUtf8("QComboBox{font-size: 14pt; font-family: Courier New; background-color: white; selection-background-color:rgb(168, 207, 255); selection-color: black;}tooltip{font-family:Lucida Grande;font-size:11pt}\n"
""))
        self.reportBox.setEditable(True)
        self.reportBox.setInsertPolicy(QtGui.QComboBox.InsertAlphabetically)
        self.reportBox.setIconSize(QtCore.QSize(16, 7))
        self.reportBox.setFrame(True)
        self.reportBox.setObjectName(_fromUtf8("reportBox"))
        self.horizontalLayout.addWidget(self.reportBox)
        self.reportButton = QtGui.QToolButton(reportDialog)
        self.reportButton.setStyleSheet(_fromUtf8("border: 0px"))
        icon10 = QtGui.QIcon()
        icon10.addPixmap(QtGui.QPixmap(_fromUtf8(":/refresh.png")), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.reportButton.setIcon(icon10)
        self.reportButton.setIconSize(QtCore.QSize(20, 20))
        self.reportButton.setObjectName(_fromUtf8("reportButton"))
        self.horizontalLayout.addWidget(self.reportButton)
        self.gridLayout.addLayout(self.horizontalLayout, 2, 0, 1, 1)
        self.reportBrowser = QtGui.QTextBrowser(reportDialog)
        font = QtGui.QFont()
        font.setPointSize(10)
        self.reportBrowser.setFont(font)
        self.reportBrowser.setStyleSheet(_fromUtf8(""))
        self.reportBrowser.setLineWidth(1)
        self.reportBrowser.setMidLineWidth(0)
        self.reportBrowser.setReadOnly(True)
        self.reportBrowser.setObjectName(_fromUtf8("reportBrowser"))
        self.gridLayout.addWidget(self.reportBrowser, 1, 0, 1, 1)

        self.retranslateUi(reportDialog)
        QtCore.QMetaObject.connectSlotsByName(reportDialog)

    def retranslateUi(self, reportDialog):
        reportDialog.setWindowTitle(_translate("reportDialog", "report", None))
        self.closeButton.setToolTip(_translate("reportDialog", "Click here or press Ctrl-W to close this view.", None))
        self.closeButton.setText(_translate("reportDialog", "...", None))
        self.printButton.setToolTip(_translate("reportDialog", "Click here or press Ctrl-P to print this report.", None))
        self.printButton.setText(_translate("reportDialog", "...", None))
        self.exportButton.setToolTip(_translate("reportDialog", "Click here or press Ctrl-E to export this report in CSV format.", None))
        self.exportButton.setText(_translate("reportDialog", "...", None))
        self.mailButton.setToolTip(_translate("reportDialog", "Click here or press Ctrl-M to email this report.", None))
        self.mailButton.setText(_translate("reportDialog", "...", None))
        self.previous.setToolTip(_translate("reportDialog", "Click here or press Shift-Ctrl-G to search backwards.", None))
        self.previous.setText(_translate("reportDialog", "...", None))
        self.search.setToolTip(_translate("reportDialog", "Click here or press Ctrl-F to enter a search expression.", None))
        self.search.setPlaceholderText(_translate("reportDialog", "search", None))
        self.next.setToolTip(_translate("reportDialog", "Click here or press Ctrl-G to search forwards.", None))
        self.next.setText(_translate("reportDialog", "...", None))
        self.helpButton.setToolTip(_translate("reportDialog", "Click here or press \'F1\' to view help information.", None))
        self.helpButton.setText(_translate("reportDialog", "...", None))
        self.minusButton.setToolTip(_translate("reportDialog", "Click here or press Delete to remove the selected report.", None))
        self.minusButton.setText(_translate("reportDialog", "...", None))
        self.saveButton.setToolTip(_translate("reportDialog", "Click here or press Ctrl-S  to save the changes to the list of reports.", None))
        self.saveButton.setText(_translate("reportDialog", "...", None))
        self.reportBox.setToolTip(_translate("reportDialog", "report specification", None))
        self.reportButton.setToolTip(_translate("reportDialog", "Click here or press Ctrl-R to refresh the report\n"
"using the current specification.", None))
        self.reportButton.setText(_translate("reportDialog", "...", None))
        self.reportBrowser.setToolTip(_translate("reportDialog", "report specificaton", None))

